KDE 4.7 PyKDE API Reference

- KDE's Python API

# MapViewWidget Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble

## Detailed Description

## Signals

| projectionSelected (Marble.Projection a0)
| selectMapTheme (QString a0)
| showMapWizard ()
| showUploadDialog ()

## Methods

| __init__ (self, QWidget parent=0, Qt::WindowFlags f=0)
| selectCurrentMapTheme (self, QString a0)
| selectProjection (self, Marble.Projection projection)
| selectTheme (self, QString a0)
| setMarbleWidget (self, Marble.MarbleWidget widget)
| updateCelestialModel (self)
| updateMapThemeView (self)

## Signal Documentation

projectionSelected | ( | Marble.Projection | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("projectionSelected(Marble::Projection)"), target_slot)`

selectMapTheme | ( | QString | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("selectMapTheme(const QString&)"), target_slot)`

showMapWizard | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("showMapWizard()"), target_slot)`

showUploadDialog | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("showUploadDialog()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Qt::WindowFlags | f=0
| ) |  |  |

selectCurrentMapTheme | ( | self, |
|  | QString | a0
| ) |  |  |

selectProjection | ( | self, |
|  | Marble.Projection | projection
| ) |  |  |

selectTheme | ( | self, |
|  | QString | a0
| ) |  |  |

setMarbleWidget | ( | self, |
|  | Marble.MarbleWidget | widget
| ) |  |  |

Set a MarbleWidget associated to this widget.

Parameters:

  | widget | the MarbleWidget to be set.

updateCelestialModel | ( |  | self ) |

updateMapThemeView | ( |  | self ) |